Add a thought to the journal
curl --request POST \
--url https://api.doers.sh/v2/journal/thoughts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"day": "2023-12-25"
}
'import requests
url = "https://api.doers.sh/v2/journal/thoughts"
payload = {
"body": "<string>",
"day": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>'), day: '2023-12-25'})
};
fetch('https://api.doers.sh/v2/journal/thoughts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thought": {
"id": "<string>",
"day": "2023-12-25",
"body": "<string>",
"createdAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"access": {
"reason": "trial_ended",
"trialEndedAt": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"access": {
"reason": "trial_ended",
"trialEndedAt": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"access": {
"reason": "trial_ended",
"trialEndedAt": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"access": {
"reason": "trial_ended",
"trialEndedAt": 123
}
}
}Journal
Add a thought to the journal
Writes one thought in the journal’s notebook, stamped with the moment it was added. day is the writer’s local day; pass it, since the server does not know the timezone. Omitted, the server’s day is used.
POST
/
v2
/
journal
/
thoughts
Add a thought to the journal
Authorizations
A pc_… token generated from Settings > API & MCP.
Body
application/json
Required string length:
1 - 10000Local day key, YYYY-MM-DD.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Response
Created.
Show child attributes
Show child attributes